using System;
using System.IO;
using wf;

namespace MaidStatus
{
	public class WorkData
	{
		public uint playCount
		{
			get
			{
				return this.playCount_;
			}
			set
			{
				this.playCount_ = (uint)wf.Math.RoundMinMax((long)((ulong)value), 0L, (long)((ulong)-1));
			}
		}

		public void Serialize(BinaryWriter binary)
		{
			binary.Write(this.id);
			binary.Write(this.playCount);
			binary.Write(this.level);
		}

		public void Deserialize(BinaryReader binary, int version)
		{
			this.id = binary.ReadInt32();
			this.playCount = binary.ReadUInt32();
			this.level = binary.ReadInt32();
		}

		public int id;

		public int level;

		private uint playCount_;
	}
}
